> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifense.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List assets

> Lists all assets.



## OpenAPI

````yaml https://api.notifense.com/openapi/v1.json get /v1/accounts/{accountId}/assets
openapi: 3.1.1
info:
  title: Notifense
  version: v1
servers:
  - url: https://api.notifense.com
security:
  - oauth2: []
tags:
  - name: accounts
  - name: assets
  - name: alertRules
  - name: events
  - name: telemetry
  - name: geofences
  - name: auth
paths:
  /v1/accounts/{accountId}/assets:
    get:
      tags:
        - assets
      summary: List assets
      description: Lists all assets.
      parameters:
        - name: accountId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: externalId
          in: query
          schema:
            type: string
        - name: skip
          in: query
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int32
            default: 0
        - name: take
          in: query
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int32
            default: 50
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Asset'
components:
  schemas:
    Asset:
      required:
        - id
        - accountId
        - externalId
        - name
        - tier
        - disabledEvents
      type: object
      properties:
        id:
          type: string
          format: uuid
        accountId:
          type: string
          format: uuid
        externalId:
          type: string
        name:
          type: string
        tier:
          $ref: '#/components/schemas/AssetTier'
        disabledEvents:
          type: object
          additionalProperties:
            type: string
            format: date-time
        telemetryRules:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/TelemetryRules'
        isDeleted:
          type: boolean
    AssetTier:
      enum:
        - 1
        - 2
      type: integer
      x-enumDescriptions:
        - Basic
        - Premium
    TelemetryRules:
      type: object
      properties:
        inputVoltageLowThreshold:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          type:
            - 'null'
            - number
            - string
          format: double
        batteryVoltageLowThreshold:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          type:
            - 'null'
            - number
            - string
          format: double
        batteryPercentageLowThreshold:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          type:
            - 'null'
            - number
            - string
          format: double
        speedLimit:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: uint32
        fuelLevelLowThreshold:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          type:
            - 'null'
            - number
            - string
          format: double
        adBlueLevelLowThreshold:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          type:
            - 'null'
            - number
            - string
          format: double
        temperatureLowThreshold:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          type:
            - 'null'
            - number
            - string
          format: double
        temperatureHighThreshold:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          type:
            - 'null'
            - number
            - string
          format: double
        pressureLowThreshold:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          type:
            - 'null'
            - number
            - string
          format: double
        pressureHighThreshold:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          type:
            - 'null'
            - number
            - string
          format: double
        engineSpeedLimit:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: uint32
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.notifense.com/v1/auth/token
          scopes: {}

````